
From: <Tim_T_Murphy@Dell.com>

Here's a patch to include Dell's 4th generation Remote Access Controller
ids.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/serial/8250_pci.c |    7 +++++++
 25-akpm/include/linux/pci_ids.h   |    1 +
 2 files changed, 8 insertions(+)

diff -puN drivers/serial/8250_pci.c~serial-add-support-for-dell-remote-access-card-4 drivers/serial/8250_pci.c
--- 25/drivers/serial/8250_pci.c~serial-add-support-for-dell-remote-access-card-4	Fri Nov 19 15:26:10 2004
+++ 25-akpm/drivers/serial/8250_pci.c	Fri Nov 19 15:26:10 2004
@@ -2116,6 +2116,13 @@ static struct pci_device_id serial_pci_t
 		pbn_b0_bt_1_460800 },
 
 	/*
+	 * Dell Remote Access Card 4 - Tim_T_Murphy@Dell.com
+	 */
+	{	PCI_VENDOR_ID_DELL, PCI_DEVICE_ID_DELL_RAC4,
+		PCI_ANY_ID, PCI_ANY_ID, 0, 0,
+		pbn_b1_1_1382400 },
+
+	/*
 	 * Dell Remote Access Card III - Tim_T_Murphy@Dell.com
 	 */
 	{	PCI_VENDOR_ID_DELL, PCI_DEVICE_ID_DELL_RACIII,
diff -puN include/linux/pci_ids.h~serial-add-support-for-dell-remote-access-card-4 include/linux/pci_ids.h
--- 25/include/linux/pci_ids.h~serial-add-support-for-dell-remote-access-card-4	Fri Nov 19 15:26:10 2004
+++ 25-akpm/include/linux/pci_ids.h	Fri Nov 19 15:26:10 2004
@@ -526,6 +526,7 @@
 
 #define PCI_VENDOR_ID_DELL		0x1028
 #define PCI_DEVICE_ID_DELL_RACIII	0x0008
+#define PCI_DEVICE_ID_DELL_RAC4		0x0012
 
 #define PCI_VENDOR_ID_MATROX		0x102B
 #define PCI_DEVICE_ID_MATROX_MGA_2	0x0518
_
